> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contact

> Create a new contact



## OpenAPI

````yaml POST /contacts
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /contacts:
    post:
      tags:
        - Contacts
      summary: Create contact
      description: Create a new contact
      operationId: createContact
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - phone
              properties:
                name:
                  type: string
                phone:
                  type: string
                email:
                  type: string
                  format: email
                tags:
                  type: object
              example:
                name: Alice Johnson
                phone: '+8801712345678'
                email: alice@example.com
                tags:
                  segment: premium
                  region: dhaka
      responses:
        '201':
          description: Contact created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Contact:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        name:
          type: string
        phone:
          type: string
        email:
          type: string
          format: email
        tags:
          type: object
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      example:
        id: c9d0e1f2-a3b4-5678-cd90-123456789012
        tenant_id: c3d4e5f6-a7b8-9012-cdef-123456789012
        name: Alice Johnson
        phone: '+8801712345678'
        email: alice@example.com
        tags:
          segment: premium
          region: dhaka
        created_at: '2026-02-01T09:00:00Z'
        updated_at: '2026-02-10T11:30:00Z'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      example:
        error: Invalid request parameters
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````